package cz.muni.fi.pb162.transport;


/**
 * Transport of cargo.
 * 
 * @author Radek Oslejsek
 * @version 2007-10-10
 */

public interface TransportCargo
{
    /**
     * @return maximalni prepavovana vaha v kilogramech
     */
    int maxLoad();

    /**
     * Metoda simuluje transport nakladu.
     * Prepravi se urceny naklad, to zpusobi 10% opotrebeni
     * 
     * @param kg hmotnost prepravovaneho nakladu v kg
     */
    boolean transportCargo(int kg);
    
    /**
     * @return stav (stupen opotrebeni), 
     *         0 = maximalni opotrebeni, 
     *         100 = zadne opotrebeni
     */
    int getState();
}
